> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /letterboxd/contributors

> Get a Letterboxd contributor's filmography for a given role (actor, director, writer, etc.). Returns the films with alias, id, name, year and poster.

**Price:** 1 credit

**⚠️ Common errors:** 412: Contributor not found for this role



## OpenAPI

````yaml /openapi/movies-tv.json post /api/letterboxd/contributors
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/letterboxd/contributors:
    post:
      tags:
        - /letterboxd
      summary: /letterboxd/contributors
      description: >-
        Get a Letterboxd contributor's filmography for a given role (actor,
        director, writer, etc.). Returns the films with alias, id, name, year
        and poster.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Contributor not found for this role
      operationId: __api_letterboxd_contributors_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LetterboxdContributorsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LetterboxdFilmSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LetterboxdContributorsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        contributor:
          type: string
          minLength: 1
        role:
          $ref: '#/components/schemas/LetterboxdContributorRole'
          default: director
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - contributor
        - count
    LetterboxdFilmSummary:
      properties:
        '@type':
          type: string
          default: LetterboxdFilmSummary
        id:
          anyOf:
            - type: integer
            - type: 'null'
        alias:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        owner_rating:
          anyOf:
            - type: number
            - type: 'null'
        is_liked:
          type: boolean
          default: false
        is_rewatch:
          type: boolean
          default: false
      type: object
      required:
        - alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LetterboxdContributorRole:
      type: string
      enum:
        - actor
        - director
        - producer
        - executive-producer
        - writer
        - story
        - editor
        - cinematography
        - composer
        - sound
        - art-direction
        - production-design
        - set-decoration
        - costume-design
        - makeup
        - visual-effects
        - assistant-director
        - additional-directing
        - studio
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````